=== debian/changelog ===
pcs (0.9.149-1ubuntu1.1) xenial; urgency=medium

  * Patch d/p/0009-Fix-corosync-log.patch makes the generated config
    use the right log directory so it doesn't fail to start
    (LP: #1673579).

 -- Bryan Quigley <bryan.quigley@canonical.com>  Thu, 27 Apr 2017 11:11:22 -0700

pcs (0.9.149-1ubuntu1) xenial; urgency=medium

  * Patch d/p/0006-Replace-orderedhash.patch added by Debian (LP: #1580035)
    Orderedhash gem can't be used due to licensing issues.
    Dependency package orderedhash replaced by activesupport.
    The daemon was not functional in Xenial before this.
  * Patch d/p/0007-Fix-IPv6-bind.patch (LP: #1580045)
    The daemon was being initialized listening only for IPv6 protocol.
  * Patch d/p/0008-Find-on-specific-directories-only.patch (LP: #1640919)
    Cleaning files when destroying a cluster was taking too long in /var/lib.
    Specifying /var/lib/pacemaker for "finding" leftovers solves the issue.

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Fri, 09 Dec 2016 03:07:25 +0000

pcs (0.9.149-1) unstable; urgency=medium

  * New upstream version.
  * Use non-multi-arch settings.py/rb on all architectures.
    (Closes: #814450)
  * Conflict with python-pcs. This (unrelated) python module installs files to
    the same location as we do. (Closes: #814516)
    Installing our files to a different location would still risk this module
    getting loaded when we wanted our own files. The real solution would be
    renaming our (private) module, but this seems infeasible for now.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Mar 2016 20:04:36 +0100

pcs (0.9.148-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove all ruby* packages from the build-dependencies, as nothing in the
    build process uses Ruby (Closes: #816383)
  * Remove dependency on ruby-monkey-lib, as it is not used at all by this
    software (Closes: #816614)
  
 -- Cédric Boutillier <boutil@debian.org>  Thu, 03 Mar 2016 15:46:48 +0100

pcs (0.9.148-1) unstable; urgency=medium

  [ Richard B Winters, Christoph Berg ]
  * Initial release.

 -- Richard B Winters <rik@mmogp.com>  Thu, 28 Jan 2016 10:12:39 +0100
