=== debian/changelog ===
pcs (0.9.153-2) unstable; urgency=medium

  * Fix package description
  * Drop unused dependencies: ruby-thor, ruby-tilt
  * Re-enable the upstream init script
  * Fix test fail with ruby-json 2.0 (Closes: #832172)
  * Avoid depending on thread finish order in tests

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sat, 30 Jul 2016 11:28:50 +0200

pcs (0.9.153-1) unstable; urgency=medium

  * New upstream version.
  * Update upstream homepage.
  * Update IPv6 bind patch to work with rack.
  * Drop unused ruby-eventmachine dependency.

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 05 Jul 2016 13:32:45 +0200

pcs (0.9.151-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * New upstream version.
  * Replace orderedhash with active_support. (Closes: #818760)
  * Update Architecture from any to all.
  * Update Standards-Version: no changes required.
  * Update Uploaders: add Valentin Vidic.
  * Fix pcsd listening on IPv6 only.
  * Update python dependencies.

  [ Christoph Berg ]
  * debian/tests: Run "pcs cluster status". (No pcsd checks yet.)

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 20 Jun 2016 12:29:41 +0200
