=== debian/changelog ===
pcs (0.9.155+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

  [ Valentin Vidic ]
  * debian/tests: booth not available in jessie-backports
  * debian/tests: ruby-test-unit required for testsuite-pcsd
  * debian/tests: fix testsuite-pcsd for jessie
  * debian/tests: fix testsuite-pcs for jessie

  [ Christoph Berg ]
  * debian/tests: Bump fence-agents test dependency to 4 to unbreak stonith
    tests

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Jun 2017 12:52:37 +0200

pcs (0.9.155+dfsg-2) unstable; urgency=medium

  * Add upstream fix for CVE-2017-2661 (Closes: #858379)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 21 Mar 2017 20:37:55 +0100

pcs (0.9.155+dfsg-1) unstable; urgency=medium

  * Repack upstream source without Liberation fonts (Closes: #851115)
  * Update font linking for new upstream

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 13 Jan 2017 13:50:46 +0100

pcs (0.9.155-3) unstable; urgency=medium

  * Add quilt dir .pc to .gitignore
  * Update pcs testsuite for python-lxml 3.7.1-1

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 06 Jan 2017 10:51:24 +0100

pcs (0.9.155-2) unstable; urgency=medium

  * debian/tests: update pcs status check
  * Cleanup debian/patches
  * Add patch to fix file cleanup by cluster destroy
  * Update README.Debian: cluster setup instructions

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 14 Dec 2016 20:46:14 +0100

pcs (0.9.155-1) unstable; urgency=medium

  * Add lsb-base dependency to fix lintian error
  * New upstream version 0.9.155
  * Update Vcs-Browser to use https
  * Fix jquery path in debian/copyright
  * Fix spelling in pcs manpage
  * Remove unused lintian override
  * Update debian/patches

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 13 Nov 2016 13:48:16 +0100

pcs (0.9.154-1) unstable; urgency=medium

  * New upstream version 0.9.154
  * Cleanup on purge: /var/lib/pcsd, /var/log/pcsd
  * Replace chkconfig invocations with update-rc.d
  * Update debian/patches for new version
  * Update debian/tests for new version

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 26 Sep 2016 17:57:32 +0200
