=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,9 @@
 
 	# remove embedded fonts
 	set -e && cd $(CURDIR)/debian/tmp/usr/share/pcsd/public/css && \
-	for ttf in Liberation*.ttf; do \
+	for ttf in LiberationSans-Bold.ttf LiberationSans-BoldItalic.ttf \
+		   LiberationSans-Italic.ttf LiberationSans-Regular.ttf; \
+	do \
 		ln -sf /usr/share/fonts/truetype/liberation/$$ttf $$ttf; \
 	done
