=== debian/tests/control ===
Depends: @, pacemaker, pacemaker-cli-utils, make, fence-agents (>> 4), python-mock, ruby-test-unit
Tests: status, setup, testsuite-pcsd, testsuite-pcs
Restrictions: needs-root
