## pcs 0.9.159

=== debian/changelog ===
pcs (0.9.159-3ubuntu2) artful; urgency=medium

  * But also unset the https proxy.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Sep 2017 22:12:10 -0700

pcs (0.9.159-3ubuntu1) artful; urgency=medium

  * Fix autopkgtest to not complain if a proxy is configured in the
    environment.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Sep 2017 21:12:50 -0700

pcs (0.9.159-3) unstable; urgency=medium

  * d/control: build requires fontconfig (Closes: #867304)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 05 Jul 2017 19:01:46 +0200

pcs (0.9.159-2) unstable; urgency=medium

  * d/patches: refresh for fuzz
  * d/patches: fix Makefile to work with dash (Closes: #867287)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 05 Jul 2017 16:44:21 +0200

pcs (0.9.159-1) unstable; urgency=medium

  * New upstream version 0.9.159
  * Remove upstream repack
  * d/control: add ruby-ethon to Depends
  * d/control: remove ${shlibs:Depends}
  * d/control: update Standards-Version to 4.0.0
  * d/rules: use dh_missing --fail-missing
  * d/rules: use debhelper version 10
  * d/source/lintian-overrides: cleanup comments
  * d/patches: refresh for new version
  * d/patches: update numbering
  * d/patches: fix failure in d/tests/testsuite-pcs
  * d/control: add fonts-dejavu-core to Depends

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 05 Jul 2017 13:49:33 +0200
