=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: pcs
 Section: admin
 Priority: extra
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Richard B Winters <rik@mmogp.com>,
  Christoph Berg <myon@debian.org>,
  Valentin Vidic <Valentin.Vidic@CARNet.hr>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 10),
  dh-python,
  dh-systemd,
+ fontconfig,
  libpam0g-dev,
  python-all (>= 2.6.6-3~),
  python-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/pcs.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-ha/pcs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-ha/pcs.git
 
 Package: pcs
 Architecture: all
-Depends: ${shlibs:Depends},
- ${python:Depends},
+Depends: ${python:Depends},
  ${misc:Depends},
+ lsb-base (>= 3.0-6),
  psmisc,
+ fonts-dejavu-core,
  fonts-liberation,
  python2.7 (>=2.7.9),
  python-lxml,
@@ -29,6 +32,7 @@
  ruby,
  ruby-activesupport,
  ruby-backports,
+ ruby-ethon,
  ruby-highline,
  ruby-json,
  ruby-multi-json,
