=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2,systemd --fail-missing
+	dh $@ --with python2
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_clean:
 	dh_clean --exclude="corosync.conf.orig"
