=== debian/changelog ===
pcs (0.9.164-1) unstable; urgency=high

  * New upstream version 0.9.164 fixing:
    - CVE-2018-1086: Debug parameter removal bypass,
      allowing information disclosure (Closes: #895313)
    - CVE-2018-1079: Privilege escalation via authorized
      user malicious REST call (Closes: #895314)
  * d/patches: revert changes from git
  * d/patches: update for new version
  * d/rules: update for new version
  * d/copyright: use https in Format url
  * d/control: update Vcs URLs to use salsa
  * d/changelog: cleanup trailing whitespace
  * d/control: update Standards-Version to 4.1.4
  * d/compat: update debhelper to v11
  * d/patches: fix seconds output in testsuite

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 12 Apr 2018 22:14:30 +0200

pcs (0.9.162-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove Richard and myself from Uploaders

  [ Valentin Vidic ]
  * New upstream version 0.9.162
  * d/patches: refresh for new version
  * d/rules: remove SNMP until python-pyagentx is available

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 27 Nov 2017 10:40:37 +0100

pcs (0.9.161-1) unstable; urgency=medium

  * New upstream version 0.9.161
  * d/patches: refresh for new version

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 03 Nov 2017 18:08:01 +0100

pcs (0.9.160-1) unstable; urgency=medium

  * New upstream version 0.9.160
  * d/control: remove Build-Depends on dh-systemd
  * d/control: replace deprecated priority extra
  * d/tests: fix testsuite-pcs failing in Ubuntu (Closes: #874026)
  * d/patches: refresh for new version
  * d/pcs.install: move README to README.md
  * d/patches: drop 0009-Fix-python-lxml.patch
  * d/patches: add 0009-Fix-pcsd-port.patch
  * d/patches: add 0010-Fix-python3-build.patch
  * d/rules: update build rules for python3
  * d/control: update dependencies for python3
  * d/tests: update testsuite-pcs to use python3
  * d/control: update Standards-Version to 4.1.1
  * d/copyright: drop paragraph for Liberation fonts
  * d/patches: add 0011-Add-service-documentation.patch

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sat, 14 Oct 2017 13:20:20 +0200
