=== debian/control ===
Source: pcs
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders:
 Valentin Vidic <Valentin.Vidic@CARNet.hr>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 fontconfig,
 libpam0g-dev,
 python3-all,
 python3-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/ClusterLabs/pcs
Vcs-Browser: https://salsa.debian.org/ha-team/pcs
Vcs-Git: https://salsa.debian.org/ha-team/pcs.git

Package: pcs
Architecture: all
Depends:
 ${misc:Depends},
 lsb-base (>= 3.0-6),
 psmisc,
 fonts-dejavu-core,
 fonts-liberation,
 ${python3:Depends},
 python3-lxml,
 python3-pkg-resources,
 python3-pycurl,
 ruby,
 ruby-activesupport,
 ruby-backports,
 ruby-ethon,
 ruby-highline,
 ruby-json,
 ruby-multi-json,
 ruby-open4,
 ruby-rack,
 ruby-rack-protection,
 ruby-rack-test,
 ruby-rpam-ruby19,
 ruby-sinatra,
 ruby-sinatra-contrib,
 rubygems-integration
Recommends: pacemaker (>= 1.1.12)
Replaces: pacemaker (<< 1.1.12)
Breaks: pacemaker (<< 1.1.12)
# unrelated python module that installs files in the same location;
# conflict with it so it isn't loaded accidentally
Conflicts: python3-pcs
Description: Pacemaker Configuration System
 pcs is a corosync and pacemaker configuration tool. It permits
 users to easily view, modify and create pacemaker based clusters.
 .
 pcs also provides pcsd, which operates as a GUI and remote server
 for pcs. Together pcs and pcsd form the recommended configuration
 tool for use with pacemaker.
