=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean --exclude="corosync.conf.orig"
	rm -rf build pcs/usage.pyc pcs/bash_completion.d.pcs pcs.egg-info setup.cfg

override_dh_auto_build:
	echo "Bundler decoupled from build system"

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp

	# Make pcs
	$(MAKE) install \
		PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/tmp \
		PYTHON_SITELIB=/usr/lib/python3/dist-packages \
		PYAGENTX_INSTALLED=true \
		systemddir=/lib/systemd \
		SYSTEMCTL_OVERRIDE=true \
		install_settings=true

	# Make pcsd
	$(MAKE) install_pcsd \
		PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/tmp \
		PYTHON_SITELIB=/usr/lib/python3/dist-packages \
		BUILD_GEMS=false \
		systemddir=/lib/systemd \
		SYSTEMCTL_OVERRIDE=true

	# Always install the init script
	install -m 755 -D pcsd/pcsd.debian $(CURDIR)/debian/tmp/etc/init.d/pcsd

	# Remove embedded fonts
	set -e && cd $(CURDIR)/debian/tmp/usr/share/pcsd/public/css && \
	for ttf in LiberationSans-Bold.ttf LiberationSans-BoldItalic.ttf \
		   LiberationSans-Italic.ttf LiberationSans-Regular.ttf; \
	do \
		ln -sf /usr/share/fonts/truetype/liberation/$$ttf $$ttf; \
	done

	# Remove SNMP until python-pyagentx is available
	rm $(CURDIR)/debian/tmp/etc/sysconfig/pcs_snmp_agent
	rm $(CURDIR)/debian/tmp/lib/systemd/system/pcs_snmp_agent.service
	rm $(CURDIR)/debian/tmp/usr/lib/pcs/pcs_snmp_agent
	rm $(CURDIR)/debian/tmp/usr/share/snmp/mibs/*
	rm $(CURDIR)/debian/tmp/usr/share/man/man8/pcs_snmp_agent.8

override_dh_python3:
	dh_python3 -p pcs --skip-private
	dh_python3 -p pcs /usr/share/pcsd

override_dh_installinit:
	dh_installinit --onlyscripts --name=pcsd

override_dh_compress:
	# make non-scripts non-executable
	chmod -x $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/* || : # ignore *.ttf symlinks
	chmod -x $(CURDIR)/debian/pcs/etc/pam.d/pcsd
	chmod -x $(CURDIR)/debian/pcs/usr/lib/python*/*-packages/pcs/settings.py
	chmod -x $(CURDIR)/debian/pcs/usr/share/bash-completion/completions/pcs
	chmod a+x $(CURDIR)/debian/pcs/usr/share/pcsd/pcsd.debian
	chmod a+x $(CURDIR)/debian/pcs/usr/share/pcsd/pcsd.service-runner
	chmod 755 $(CURDIR)/debian/pcs/usr/share/pcsd/public/css/images/
	dh_compress
