## pcs 0.9.165

=== debian/changelog ===
pcs (0.9.165-1) unstable; urgency=medium

  * New upstream version 0.9.165
  * d/patches: update for new version

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 24 Jun 2018 21:40:43 +0200
