## pcs 0.10.1

=== debian/changelog ===
pcs (0.10.1-2+deb10u1) buster-security; urgency=high

  * d/patches: add fix for CVE-2022-1049

 -- Valentin Vidic <vvidic@debian.org>  Sun, 04 Sep 2022 21:55:16 +0200

pcs (0.10.1-2) unstable; urgency=medium

  * d/control: cleanup ruby dependencies
  * d/tests: cleanup dependencies
  * d/tests: require pacemaker 2.0
  * d/control: require pacemaker 2.0

 -- Valentin Vidic <vvidic@debian.org>  Thu, 17 Jan 2019 16:26:02 +0100

pcs (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1 (Closes: #918944)
    - Works with Corosync 3 and Pacemaker 2

 -- Valentin Vidic <vvidic@debian.org>  Sat, 12 Jan 2019 13:30:43 +0100

pcs (0.9.166-5) unstable; urgency=medium

  * d/patches: fixes for ruby-rack 2

 -- Valentin Vidic <vvidic@debian.org>  Sun, 06 Jan 2019 18:54:19 +0100

pcs (0.9.166-4) unstable; urgency=medium

  * d/tests: fix testsuite-pcs for pacemaker 1.1.19 (Closes: #917462)
  * d/control: update Standards-Version to 4.3.0

 -- Valentin Vidic <vvidic@debian.org>  Thu, 27 Dec 2018 23:15:47 +0100

pcs (0.9.166-3) unstable; urgency=medium

  * d/patches: fix encoding test for python 3.6

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Dec 2018 13:17:19 +0100

pcs (0.9.166-2) unstable; urgency=medium

  * d/patches: fix encode fail in testsuite (Closes: #915223)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 01 Dec 2018 22:34:03 +0100

pcs (0.9.166-1) unstable; urgency=medium

  * New upstream version 0.9.166
  * d/patches: update for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 06 Oct 2018 22:41:04 +0200

pcs (0.9.165-3) unstable; urgency=medium

  * d/control: update email in Uploaders
  * d/rules: move snmp python modules to pcs-snmp

 -- Valentin Vidic <vvidic@debian.org>  Mon, 10 Sep 2018 11:20:03 +0200

pcs (0.9.165-2) unstable; urgency=medium

  * Release pcs-snmp package
  * d/control: update Standards-Version to 4.2.1

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 09 Sep 2018 21:51:01 +0200
