=== debian/tests/control ===
Depends: pcs, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0)
Restrictions: needs-root
Tests: status, setup

Depends: pcs, make, ruby-rack-test
Restrictions: rw-build-tree
Tests: testsuite-ruby

Depends: pcs, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0), fence-agents, booth-pacemaker
Restrictions: needs-root, rw-build-tree
Tests: testsuite-python

Depends: pcs-snmp, pacemaker (>= 2.0), pacemaker-cli-utils (>= 2.0), snmp, snmp-mibs-downloader
Restrictions: needs-root
Tests: snmp
