## pcs 0.10.2

=== debian/changelog ===
pcs (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2
  * d/patches: update for new version
  * d/rules: update for new version
  * d/tests: update for new version
  * d/rules: add init script for pcs_snmp_agent
  * d/control: update Standards-Version to 4.3.0

 -- Valentin Vidic <vvidic@debian.org>  Sat, 20 Jul 2019 07:51:21 +0200
