=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libpam0g-dev,
  python3-all,
  python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/ClusterLabs/pcs
 Vcs-Browser: https://salsa.debian.org/ha-team/pcs
 Vcs-Git: https://salsa.debian.org/ha-team/pcs.git
